import com.google.soap.search.*;
import java.io.*;

public class GoogleTest
{
   static int numresults = 10;
   
   public static void main(String[] args)
   {
      for (int step=0; step<=0; step++)
      {
         try 
         {   
            GoogleSearch search = new GoogleSearch();
            // Set mandatory attributes
            search.setKey("W3gxoP9QFHIGdBhnkxLyCvpdQ6I6STsA");
            search.setQueryString("Handwerk Saarland");
            search.setLanguageRestricts("lang_de");
            search.setRestrict("countryDE");
            search.setMaxResults(numresults);
            search.setStartResult(step*numresults);
            // Set optional attributes
            //search.setSafeSearch(true);
            // Invoke the actual search
            GoogleSearchResult result = search.doSearch();
            // process the result
            GoogleSearchResultElement[] elems = result.getResultElements();
            System.out.println("Items: " + elems.length);
            
            for (int i=0; i<elems.length; i++)
            {
               GoogleSearchResultElement elem = elems[i];
               System.out.println(elem.getURL());
            }
         }
         catch (Exception e)
         {e.printStackTrace();}
      }
   }
   
}
