package bingo.crawler.handler;

import java.net.HttpURLConnection;

import bingo.crawler.URL_Crawler;
import bingo.crawler.frontier.url2resolve;

//=======================================================================================

public class FrameHandler extends CrawlHandler
{
   public void handle( URL_Crawler uc, url2resolve u, HttpURLConnection c )
   {
      super.handle(uc,u,c);
      
      if ( !init( uc, u, c ) )
      {
         destroy();
         return;
      }

      bingoDoc.setStatus( 'F' );
      //bingoDoc.setClassifiedNode( bingoDoc.getRootNode() );
      //bingoDoc.setNode(session.getRootNode());
      bingoDoc.setResponseCode( 888 );
      
      new LinkHandler().handle( crawler, url2r, conn );
      new StoreHandler().handle( crawler, url2r, conn );
      
      destroy();
   }
   
   //==========================================
   
   public void destroy()
   {
      super.destroy();
   }
   
   
   public boolean init( URL_Crawler uc, url2resolve u, HttpURLConnection c )
   {
      return super.init(uc,u,c);
   }
}
