package bingo.crawler.handler.parser;

import java.util.Collection;

public class Centence implements Comparable
{
   public int start = 0;
   public int end = 0;
   public Collection terms = null;
   public double weight = (double)0.0;
   public int pos = 0;
   public int bells = 0;
   
   public Centence(int _start, int _end)
   {
      start = _start;
      end = _end;
      terms = null;
   }
   
   public int compareTo (Object _who)
   {
     Centence who = (Centence)_who;
     
     if (this.weight > who.weight)
        return -1;
     else if (this.weight < who.weight)
        return +1;
     else if (this.pos < who.pos)
        return -1;
     else
        return +1;
   }
}
