package bingo.crawler.handler.parser;

import java.io.Serializable;
import java.util.Vector;

public class URLAnchors implements Serializable {
  public String url;
  public Vector anchors;


  public URLAnchors( String url, Vector anchors ) {
    this.url = url;
    this.anchors = anchors;
  }


  public URLAnchors( String url ) {
    this.url = url;
    anchors = new Vector();
  }


  public URLAnchors() {
    this.url = null;
    anchors = new Vector();
  }


  public String getURL() {
    return this.url;
  }


  public Vector getAnchorTerms() {
    return this.anchors;
  }


  public void addText( TextItem t ) {
    anchors.add( t );
  }


  public void setURL( String t ) {
    this.url = t;
  }
}

