package jodd.bean;

/**
 * Loader implementation.
 *
 * @see LoadersManager
 */
public interface Loader {

	/**
	 * Loads values from given object into the bean.
	 *
	 * @param bean   bean to populate
	 * @param obj    object to populate from
	 */
	public void load(Object bean, Object obj);

}
