package jodd.bean;

/**
 * Iterates beans properties. May be use as bean modifier.
 */
public interface PropertyCallback {


	/**
	 * Method that will be called-back for each beans property.
	 *
	 * @param o      object instance
	 * @param name   property name (without 'get'/'set')
	 */
	public void onProperty(Object o, String name);

}
