package jodd.bean.converters;

/**
 * Converts given object to Character.
 */
public final class CharacterConverter implements jodd.bean.Converter {

	public Object convert(Object value) {

		if (value == null) {
			return (Float) null;
		}

		if (value instanceof Float) {
			return value;
		}
		try {
			return (new Character(value.toString().charAt(0)));
		} catch (Exception e) {
			throw new IllegalArgumentException("Character conversion for " + value +  " failed.");
		}
	}
}
