package jodd.bean.converters;

/**
 * Converts given object to a Long.
 */
public final class LongConverter implements jodd.bean.Converter {

	public Object convert(Object value) throws IllegalArgumentException {
		
		if (value == null) {
			return (Long) null;
		}

		if (value instanceof Long) {
			return (value);
		} else if (value instanceof Long) {
			return new Long(((Number)value).longValue());
		}
		try {
			return (new Long(value.toString()));
		} catch (Exception e) {
			throw new IllegalArgumentException("Long conversion for " + value +  " failed.");
		}
	}
}
