package jodd.bean.converters;

import jodd.servlet.UploadedFile;


/**
 * Converts given object to jodd.servlet.UploadedFile.
 */
public final class UploadedFileConverter implements jodd.bean.Converter {

	public Object convert(Object value) {
	
		if (value == null) {
			return (UploadedFile) null;
		}
	
		if (value instanceof UploadedFile) {
			return value;
		}
		throw new IllegalArgumentException("UploadedFile conversion for " + value +  " failed.");
	}
}
