package jodd.datetime.names;

/**
 * German names for JDateTime.
 */
public final class GermanNames implements jodd.datetime.JdtNames {

	private final String[] month = { "Januar", "Februar", "Mrz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember" };
	public String[] getMonths() {
		return month;
	}

	private final String[] month_s = { "Jan", "Feb", "Mar", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez" };
	public String[] getShortMonths() {
		return month_s;
	}

	private final String[] weekday = { "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag", "Sonntag"};
	public String[] getDaysOfWeek() {
		return weekday;
	}

	private final String[] weekday_s = { "Mon", "Die", "Mit", "Don", "Fre", "Sam", "Son" };
	public String[] getShortDaysOfWeek() {
		return weekday_s;
	}

}
