package jodd.datetime.names;

/**
 * Serbian names for JDateTime.
 */
public final class SerbianNames implements jodd.datetime.JdtNames {

	private final String[] month = { "Januar", "Februar", "Mart", "April", "Maj", "Juni", "Juli", "Avgust", "Septembar", "Oktobar", "Novembar", "Decembar" };
	public String[] getMonths() {
		return month;
	}

	private final String[] month_s = { "Jan", "Feb", "Mar", "Apr", "Maj", "Jun", "Jul", "Avg", "Sep", "Okt", "Nov", "Dec" };
	public String[] getShortMonths() {
		return month_s;
	}

	private final String[] weekday = { "Ponedeljak", "Utorak", "Sreda", "Cetvrtak", "Petak", "Subota", "Nedelja"};
	public String[] getDaysOfWeek() {
		return weekday;
	}

	private final String[] weekday_s = { "Pon", "Uto", "Sre", "Cet","Pet", "Sub", "Ned" };
	public String[] getShortDaysOfWeek() {
		return weekday_s;
	}

}
