package jodd.log;

/**
 * Interface for all loggers. It is based on Log4J interface of class
 * 'Logger'. However, it can be used for all other loggers.
 */
public interface SimpleLogger {

	public void debug(Object message);
	public void debug(Object message, Throwable t);

	public void info(Object message);
	public void info(Object message, Throwable t);

	public void warn(Object message);
	public void warn(Object message, Throwable t);

	public void error(Object message);
	public void error(Object message, Throwable t);

	public void fatal(Object message);
	public void fatal(Object message, Throwable t);

}
