package	jodd.swing;

import java.util.Vector;

import javax.swing.table.DefaultTableModel;

public class ReadOnlyDefaultTableModel extends DefaultTableModel {

	public ReadOnlyDefaultTableModel() {
		super();
	}

	public ReadOnlyDefaultTableModel(int rowCount, int columnCount) {
		super(rowCount, columnCount);
	}

	public ReadOnlyDefaultTableModel(Object[] columnNames, int rowCount) {
		super(columnNames, rowCount);
	}

	public ReadOnlyDefaultTableModel(Object[][] data, Object[] columnNames) {
		super(data, columnNames);
	}

	public ReadOnlyDefaultTableModel(Vector columnNames, int rowCount) {
		super(columnNames, rowCount);
	}

	public ReadOnlyDefaultTableModel(Vector data, Vector columnNames) {
		super(data, columnNames);
	}

	/**
	 * Returns true regardless of parameter values.
	 *
	 * @param   row             the row whose value is to be queried
	 * @param   column          the column whose value is to be queried
	 * @return                  true
	 * @see #setValueAt
	 */
	public boolean isCellEditable(int row, int column) {
		return false;
	}
}
