package jodd.util;

import java.util.LinkedList;
import java.util.NoSuchElementException;

/**
 * Simple Stack (LIFO) class.
 */
public class SimpleStack {

	private LinkedList list = new LinkedList();

	/**
	 * Stack push.
	 *
	 * @param o
	 */
	public void push(Object o) {
		list.addLast(o);
	}

	/**
	 * Stack pop.
	 *
	 * @return poped object from stack
	 */
	public Object pop() {
		Object result = null;
		try {
			result = list.removeLast();
		} catch (NoSuchElementException nsee) {
		}
		return result;
	}


	public Object[] popAll() {
		Object[] res = list.toArray();
		list.clear();
		return res;
	}

	/**
	 * Peek element from stack.
	 *
	 * @return peeked object
	 */
	public Object peek() {
		return list.getLast();
	}


	/**
	 * Is stack empty?
	 *
	 * @return true if stack is empty
	 */
	public boolean isEmpty() {
		return list.isEmpty();
	}

}
