package jodd;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Jodd JUnit TestSuite.
 */
public class TestJodd {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("Jodd Java Library Test Suite");
		suite.addTest(jodd.util.TestAll.suite());
		suite.addTest(jodd.bean.TestAll.suite());
		suite.addTest(jodd.format.TestAll.suite());
		suite.addTest(jodd.datetime.TestAll.suite());
		suite.addTest(jodd.servlet.TestAll.suite());
		return suite;
	}
}
