package jodd.util;

import junit.framework.TestCase;

public class TestStackQueue extends TestCase {

	public void testQueue() {
		SimpleQueue sq = new SimpleQueue();
		sq.put("Hallo!");					// first in
		sq.put("Tschuss!");
		sq.put("End");
		assertEquals("Hallo!", sq.get());	// first out
		assertEquals("Tschuss!", sq.peek());
		assertEquals("Tschuss!", sq.get());
		assertFalse(sq.isEmpty());
		assertEquals("End", sq.get());
		assertTrue(sq.isEmpty());
	}

	public void testStack() {
		SimpleStack ss = new SimpleStack();
		ss.push("Start");
		ss.push("Hallo!");
		ss.push("Tschuss!");				// last in
		assertEquals("Tschuss!", ss.pop());	// first out
		assertEquals("Hallo!", ss.peek());
		assertEquals("Hallo!", ss.pop());
		assertFalse(ss.isEmpty());
		assertEquals("Start", ss.pop());
		assertTrue(ss.isEmpty());
	}

}
