/*
 * BINGOClient.java
 *
 * Created on 31. Oktober 2002, 11:15
 */
package webservice;

import bingo.adapter.BingoParameters;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;
import org.apache.axis.utils.Options;
import org.apache.axis.encoding.ser.BeanSerializer;

import javax.xml.rpc.ParameterMode;
import javax.xml.namespace.QName;

/**
 * @author     martin
 * @created    19. August 2003
 */
public class BINGOClient {

  public static void main( String[] args ) throws Exception {

    String endpoint = "http://localhost:8120/axis/BINGOService.jws";

    Service service = new Service();
    Call call;

    call = (Call) service.createCall();
    call.setTargetEndpointAddress( new java.net.URL( endpoint ) );
    call.setOperationName( "init" );
    call.setReturnType( XMLType.AXIS_VOID );
    call.invoke( new Object[]{} );

    call = (Call) service.createCall();
    call.setTargetEndpointAddress( new java.net.URL( endpoint ) );
    call.setOperationName( "connect" );
    call.addParameter( "op1", XMLType.XSD_STRING, ParameterMode.IN );
    call.addParameter( "op2", XMLType.XSD_STRING, ParameterMode.IN );
    call.addParameter( "op3", XMLType.XSD_STRING, ParameterMode.IN );
    call.addParameter( "op4", XMLType.XSD_STRING, ParameterMode.IN );
    call.setReturnType( XMLType.AXIS_VOID );
    call.invoke( new Object[]{"mtheobald", "mtheobald", "delphi", "oracle9.delphi"} );

    /*
    //BingoParameters params = new BingoParameters();
    QName qName = new QName( "BINGOPARAMS" );


    call = (Call) service.createCall();
    call.setTargetEndpointAddress( new java.net.URL(endpoint) );
    call.setOperationName( "setParameters" );
    call.registerTypeMapping( BingoParameters.class, qName, ParamsSerializerFactory.class, ParamsDeserializerFactory.class );
    //call.registerTypeMapping(BingoParameters.class, qName,
    //  new org.apache.axis.encoding.ser.BeanSerializerFactory(BingoParameters.class, qName),
    //  new org.apache.axis.encoding.ser.BeanDeserializerFactory(BingoParameters.class, qName));
    call.addParameter( "op1", qName, BingoParameters.class, ParameterMode.IN );
    call.setReturnType( XMLType.AXIS_VOID );
    call.invoke( new Object [] { params });
*/
  }

}
