import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import jodd.servlet.*;


public class MvcAction2 extends ActionServlet {

	/**
	 * Action "direct.do" is mapped to this method, so it will be invoked on request.
	 * This method also uses global forwardings.
	 *
	 * @param request
	 * @param response
	 *
	 * @return
	 * @exception IOException
	 * @exception ServletException
	 */
	public String go(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		System.out.println("---------------");
		System.out.println("MvcAction2.go()");
		System.out.println(">ACTION:go");
		return "ok";
	}


	public String go2(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		System.out.println("---------------");
		System.out.println("MvcAction2.go2()");
		System.out.println(">ACTION:go2");
		HashMap map = (HashMap) request.getAttribute(ActionController.INVOKE_ACTION_PARAMS);
		if (map != null) {
			return "ok?id=" + map.get("id");
		}
		return "ok?id=1";
	}

	public String go3(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		System.out.println("---------------");
		System.out.println("MvcAction2.go3()");
		System.out.println(">ACTION:go3");
		String externalResult = invokeExternalAction(request, response, "/mvc2/params.do?id=2");	// will call go2
		System.out.println("external results = " + externalResult);
		return externalResult;
	}
}

