package WebAPI;

import java.io.*;
import java.util.Enumeration.*;
import java.util.*;
import java.sql.*;
import java.net.*;
import oracle.jdbc.dbaccess.*;
import oracle.sql.*;
import oracle.jdbc.driver.*;
import java.lang.Math.*;
import javax.swing.tree.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import javax.swing.text.html.parser.*;
import org.apache.jserv.*;

import bingo.util.*;
import bingo.db.*;
import bingo.crawler.frontier.*;
import bingo.crawler.handler.*;
import bingo.crawler.handler.parser.*;
import bingo.crawler.*;

//import com.mysql.jdbc.*;

public class StaticSubmitter
{
   // static String mysqlUrl = "jdbc:mysql://134.96.246.1/mtisp2";
   //  static String oraUrl = "jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=134.96.246.1)(PORT=1521)))(CONNECT_DATA=(SERVICE_NAME=handwerk.world)(server = dedicated)))";
   static String oraUrl = "jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=localhost)(PORT=1521)))(CONNECT_DATA=(SERVICE_NAME=bingo.world)(server = dedicated)))";
   static java.sql.Connection conn;
   static java.sql.PreparedStatement pstmt;
   static int batchSize = 50;
   static java.sql.ResultSet rset;
   static SessionBuffer session;
   
   static String[] links =
   {
      "http://www.sol.de/archiv/index.html?fs%5Bq%5D=handwerk",
      
      "http://www.zdnet.de/news/business/0,39023142,2139075,00.htm",
      "http://www.htw-saarland.de/",
      "http://www.muehlen-dgm-ev.de/2003/teilnehmerverzeichnisse/Rheinland-Pfalz-Saarland.html",
      "http://berufenet.arbeitsamt.de/bnet2/G/B4321100medien.html",
      "http://www.bund.de/Service-Center/Ausschreibungen-.5177.htm",
      "http://www.hwk-saarland.de/",
      "http://www.wirtschaft.saarland.de/",
      "http://www.agvh.de/",
      "http://www.bau-saar.de/",
      "http://www.schreiner-saar.de/",
      "http://www.schuhmacherinnung-saarland.de/",
      "http://www.fleischer-saar.de/",
      "http://www.kfz-saar.de/",
      "http://www.malerinnung-saar.de/",
      "http://www.schornsteinfegersaar.de/",
      "http://www.sb.shuttle.de/sb/meisterschule",
      "http://www.saar-lor-lux-umweltzentrum.de/",
      "http://www.bghw-saar.de/",
      "http://www.brbv.de/",
      "http://www.saar-handwerk.de/",
      "http://www2.handwerk.de/servlet/ContentServer?pagename=portal/templates/Home",
      "http://www.zva.de/",
      "http://www.bestatter.de/",
      "http://www.dbsv.de/",
      "http://www.baeckerhandwerk.de/",
      "http://www.zdb.de/",
      "http://www.dachdecker.de/",
      "http://www.zveh.de/",
      "http://www.fleischerhandwerk.de/",
      "http://www.friseurhandwerk.de/",
      "http://www.biv.org/",
      "http://www.gebaeudereiniger.de/",
      "http://www.glaserhandwerk.de/",
      "http://www.gvh-info.de/",
      "http://www.zv-gold.de/",
      "http://www.biha-mainz.de/",
      "http://www.tischler.org/",
      "http://www.biv-kaelte.de/",
      "http://www.konditoren.de/",
      "http://www.kfzgewerbe.de/",
      "http://www.zkf.de/",
      "http://www.landmaschinenverband.de/",
      "http://www.modellbauer-handwerk.de/",
      "http://www.metallhandwerk.de/",
      "http://www.muehlen.org/",
      "http://www.biv-os.de/",
      "http://www.ot-forum.de/",
      "http://www.zvparkett-fussboden.de/",
      "http://www.bv-rolladen.de/",
      "http://www.zvr.de/",
      "http://www.biv.naturstein-netz.de/",
      "http://www.schornsteinfeger-ziv.de/",
      "http://www.zentralverband-shk.de/",
      "http://www.dtv-bonn.de/",
      "http://www.werbetechniker.de/",
      "http://www.vdzi.de/",
      "http://www.jazummeisterbrief.de/",
      "http://www.bis-handwerk.de/",
      "http://www.zdh.de/",
      "http://www.bmwi.de/",
      "http://www.arbeit-fuer-junge.de/",
      "http://www.bmwa.bund.de/",
      "http://www.hwk-aachen.de/",
      "http://www.hwk-arnsberg.de/",
      "http://www.hwk-berlin.de/",
      "http://www.hwk-braunschweig.de/",
      "http://www.hwk-bremen.de/",
      "http://www.hwk-chemnitz.de/",
      "http://www.hwk-coburg.de/",
      "http://www.hwk-cottbus.de/",
      "http://www.hwk-dortmund.de/",
      "http://www.hwk-dresden.de/",
      "http://www.hwk-duesseldorf.de/",
      "http://www.hwk-erfurt.de/",
      "http://www.hwk-flensburg.de/",
      "http://www.handwerkskammer-ff.de/",
      "http://www.handwerkskammer-freiburg.de/",
      "http://www.hwkhalle.de/",
      "http://www.hwk-hamburg.de/",
      "http://www.hwk-hannover.de/",
      "http://www.hwk-heilbronn.de/",
      "http://www.hwk-hildesheim.de/",
      "http://www.hwk-karlsruhe.de/",
      "http://www.hwk-kassel.de/",
      "http://www.hwk-koblenz.de/",
      "http://www.hwk-konstanz.de/",
      "http://www.handwerkskammer-koeln.de/",
      "http://www.hwk-lueneburg-stade.de/",
      "http://www.hwk-leipzig.de/",
      "http://www.hwk-mittelfranken.de/",
      "http://www.hwk-muenchen.de/",
      "http://www.hwk-magdeburg.de/",
      "http://www.hwk-mannheim.de/",
      "http://www.hwkno.de/",
      "http://www.hwk-oberfranken.de/",
      "http://www.hwk-aurich.de/",
      "http://www.hwk-gera.de/",
      "http://www.hwk-oldenburg.de/",
      "http://www.hwk-os-el.de/",
      "http://www.hwk-omv.de/",
      "http://www.handwerk-owl.de/",
      "http://www.hwk-pfalz.de/",
      "http://www.hwkpotsdam.de/",
      "http://www.hwk-reutlingen.de/",
      "http://www.hwk.de/",
      "http://www.hwk-rhein-main.de/",
      "http://www.hwk-schwaben.de/",
      "http://www.hwk-stuttgart.de/",
      "http://www.hwk-schwerin.de/",
      "http://www.hwk-suedthueringen.de/",
      "http://www.hwk-unterfranken.de/",
      "http://www.hk-ulm.de/",
      "http://www.hwk-wiesbaden.de/",
      
      "http://www.greinofenhaus.de/index2.html",
      "http://www.thielen-losheim.de/",
      "http://www.gloeckner-naturbau.de/",
      "http://www.naturstein-net.de/php/plz/adressdb_plz66.html",
      "http://www.achimney.de/",
      "http://www.das-hafenhandbuch.de/ScoutScout/WebDaten/Holzbau/Saarland/Saarland1.html",
      "http://www.autocrew.org/heim/",
      "http://www.ais-online.de/6/company/07/47/37/company_6.html",
      "http://www.intec-saarbruecken.de/",
      "http://www.internetheizung.de/saarland/saarsued.htm",
      "http://www.holz10.de/saarland/saarnord.htm",
      "http://www.neunkirchen.opel-schorr.de/impressum.shtml",
      "http://www.bau10.de/saarland/saarsued.htm"
   };
   
   
   public static void main( String[] args )
   {
      session = SessionBuffer.getInstance(true);
      try
      {
         new StaticSubmitter().go();
      }
      catch ( Exception e )
      {
         e.printStackTrace();
      }
      System.exit(0);
   }
   
   
   public StaticSubmitter() throws Exception
   {
      //  Class.forName("com.mysql.jdbc.Driver").newInstance();
      //DriverManager.registerDriver( new oracle.jdbc.driver.OracleDriver() );
      //  conn =  DriverManager.getConnection(mysqlUrl, "mtisp2", "00mtisp00");
      //conn = DriverManager.getConnection( oraUrl, "tessi", "pissi" );
      
      //conn.setAutoCommit( false );
      session = SessionBuffer.getInstance();
   }
   
   
   public void go() throws Exception
   {
      DBInterface dbinterface = DBInterface.getInstance();
      pstmt = dbinterface.conn.prepareStatement( "INSERT INTO start_urls (link) VALUES (?)" );
      int count =0;
      for (int i=0; i<links.length;i++)
      { 
         pstmt.setString( 1, links[i]);
         pstmt.addBatch();
         if ( ++count % batchSize == 0 )
         {
            pstmt.executeBatch();
         }
      }
      System.out.println("Static submitter: " + links.length + " items." );
      pstmt.executeBatch();
      pstmt.close();pstmt=null;
      dbinterface.commit();
      dbinterface.close(); dbinterface=null;
   }
}
