package bingo.crawler.handler;

import java.net.HttpURLConnection;

import bingo.crawler.URL_Crawler;
import bingo.crawler.frontier.url2resolve;

//=======================================================================================

public class SuspendHandler extends CrawlHandler
{   
    public void handle( URL_Crawler uc, url2resolve u, HttpURLConnection c )
    {
       if ( !init( uc, u, c ) )
       {
         destroy();
         return;
       }
      
       super.handle(uc,u,c);
       crawler.putSuspended( u );
       destroy();
    }
}
