package bingo.google;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Enumeration;
import java.util.Vector;

import bingo.util.SessionBuffer;

/**
 *  Testklasse fr google_hubs und google_related (wird nicht benutzt).
 *
 * @author     T & Sergej Sizov.
 * @created    15. Juni 2001
 */
public class google_main {
    static String ziel, zahl;
    static Vector vHubs = null;
    static Vector vRelated = null;
    
    
    public static void main( String[] args ) {
        ziel = args[0];
        zahl = args[1];
        
        work_google_query( ziel, zahl );
        
    }
    
    
    public static void work_google_query(String ziel, String zahl) {
        
        try {
            
            DriverManager.registerDriver( new oracle.jdbc.driver.OracleDriver() );
            
            Connection conn = DriverManager.getConnection( "jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=tokyo)(PORT=1521)))(CONNECT_DATA=(SID=tokyo)))", "mtheobald", "mtheobald" );
            Statement stmt = conn.createStatement();
            
            // HUBS ABFRAGEN
            
            ResultSet rset = stmt.executeQuery( "SELECT * FROM google where type='link' and url='" + ziel + "' order by type" );
            
            if ( rset.next() ) {
                SessionBuffer.log( "HUBS: DB successful", 3 );
                do {
                    SessionBuffer.log( "Ziel: " + rset.getString( "TARGET" ), 3 );
                    SessionBuffer.log( " + Cache: " + rset.getString( "CACHE" ), 3 );
                    SessionBuffer.log( " + Trans: " + rset.getString( "TRANSLATE" ), 3 );
                    SessionBuffer.log( " + Kateg: " + rset.getString( "CATEGORY" ), 3 );
                } while ( rset.next() );
            } else {
                boolean status = step_1( zahl );
                
                if ( status ) {
                    SessionBuffer.log( "HUBS neu ermittelt:", 3 );
                    
                    Enumeration enum = vHubs.elements();
                    String[] elem;
                    
                    while ( enum.hasMoreElements() ) {
                        elem = (String[]) enum.nextElement();
                        
                        String query = "insert into google (url, type, target, cache, translate, category) values (";
                        
                        query += "'" + ziel + "',";
                        // origin
                        query += "'link',";
                        // type
                        
                        SessionBuffer.log( "URL: " + elem[0], 3 );
                        //target
                        if ( elem[0] == null ) {
                            query += "null,";
                        } else {
                            query += "'" + elem[0] + "',";
                        }
                        
                        SessionBuffer.log( " + Cache: " + elem[1], 3 );
                        if ( elem[1] == null ) {
                            query += "null,";
                        } else {
                            query += "'" + elem[1] + "',";
                        }
                        
                        SessionBuffer.log( " + Trans: " + elem[2], 3 );
                        if ( elem[2] == null ) {
                            query += "null,";
                        } else {
                            query += "'" + elem[2] + "',";
                        }
                        
                        SessionBuffer.log( " + Kateg: " + elem[3], 3 );
                        if ( elem[3] == null ) {
                            query += "null)";
                        } else {
                            query += "'" + elem[3] + "')";
                        }
                        stmt.executeQuery( query );
                    }
                } else {
                    SessionBuffer.log( "HUBS gescheitert", 3 );
                }
            }
            
            // Das gleiche nochmal mit Authorities
            
            rset = stmt.executeQuery( "SELECT * FROM google where type='related' and url='" + ziel + "' order by type" );
            if ( rset.next() ) {
                SessionBuffer.log( "RELATED: DB successful", 3 );
                do {
                    SessionBuffer.log( "Ziel: " + rset.getString( "TARGET" ), 3);
                    SessionBuffer.log( " + Cache: " + rset.getString( "CACHE" ), 3 );
                    SessionBuffer.log( " + Trans: " + rset.getString( "TRANSLATE"), 3 );
                    SessionBuffer.log( " + Kateg: " + rset.getString( "CATEGORY" ), 3 );
                } while ( rset.next() );
            } else {
                boolean status = step_2( zahl );
                
                if ( status ) {
                    SessionBuffer.log( "RELATED neu ermittelt:", 3 );
                    
                    Enumeration enum = vRelated.elements();
                    String[] elem;
                    
                    while ( enum.hasMoreElements() ) {
                        elem = (String[]) enum.nextElement();
                        
                        String query = "insert into google (url, type, target, cache, translate, category) values (";
                        
                        query += "'" + ziel + "',";
                        // origin
                        query += "'related',";
                        // type
                        
                        SessionBuffer.log( "URL: " + elem[0], 3 );
                        //target
                        if ( elem[0] == null ) {
                            query += "null,";
                        } else {
                            query += "'" + elem[0] + "',";
                        }
                        
                        SessionBuffer.log( " + Cache: " + elem[1], 3 );
                        if ( elem[1] == null ) {
                            query += "null,";
                        } else {
                            query += "'" + elem[1] + "',";
                        }
                        
                        SessionBuffer.log( " + Trans: " + elem[2], 3 );
                        if ( elem[2] == null ) {
                            query += "null,";
                        } else {
                            query += "'" + elem[2] + "',";
                        }
                        
                        SessionBuffer.log( " + Kateg: " + elem[3], 3 );
                        if ( elem[3] == null ) {
                            query += "null)";
                        } else {
                            query += "'" + elem[3] + "')";
                        }
                        stmt.executeQuery( query );
                    }
                } else {
                    SessionBuffer.log( "RELATED gescheitert", 3 );
                }
            }
            
conn.close();
        }
        catch ( SQLException e ) {
            SessionBuffer.log(e);
        }
        
    }
    
    
    //--------------------------------------------------------
    // Funktionen, die einzelne Schritte in Threads steuern
    //--------------------------------------------------------
    
    private static boolean step_1( String zahl ) {
        // Seite holen
        
        boolean fertig = false;
        int versuche = 0;
        
        do {
            versuche++;
            try {
                google_hubs prozess = new google_hubs( ziel, zahl );
                Thread loader = new Thread( prozess );
                
                loader.start();
                
                int ticker = 0;
                
                do {
                    Thread.sleep( 500 );
                    ticker += 500;
                    fertig = prozess.getStatus();
                } while ( !fertig && ticker < 15000 );
                if ( fertig ) {
                    vHubs = prozess.getResults();
                    loader.interrupt();
                } else {
                    loader.interrupt();
                    Thread.sleep( 10000 );
                }
            }
            catch ( InterruptedException ie ) {
                SessionBuffer.log(ie);
                System.exit( 1 );
            }
        } while ( !fertig && versuche < 3 );
        // nur 3 versuche erlaubt
        return fertig;
    }
    
    
    private static boolean step_2( String zahl ) {
        // Seite holen
        
        boolean fertig = false;
        int versuche = 0;
        
        do {
            versuche++;
            try {
                google_similar prozess = new google_similar( ziel, zahl );
                Thread loader = new Thread( prozess );
                
                loader.start();
                
                int ticker = 0;
                
                do {
                    Thread.sleep( 500 );
                    ticker += 500;
                    fertig = prozess.getStatus();
                } while ( !fertig && ticker < 15000 );
                if ( fertig ) {
                    vRelated = prozess.getResults();
                    loader.interrupt();
                } else {
                    loader.interrupt();
                    Thread.sleep( 10000 );
                }
            }
            catch ( InterruptedException ie ) {
                SessionBuffer.log(ie);
                System.exit( 1 );
            }
        } while ( !fertig && versuche < 3 );
        // nur 20 versuche pro Tag erlaubt
        return fertig;
    }
    
}

