@cls
@echo Rebuild BINGO using JVM:
@java -version
@echo -----------------------------------------------------------
@echo off

del bingo\crawler\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\crawler\*.java
del bingo\crawler\handler\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\crawler\handler\*.java
del bingo\crawler\handler\parser\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\crawler\handler\parser\*.java
del bingo\crawler\frontier\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\crawler\frontier\*.java
del bingo\conf\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\conf\*.java
del bingo\base\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\base\*.java
del bingo\db\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\db\*.java
del bingo\google\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\google\*.java
del bingo\language\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\language\*.java
del bingo\main\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\main\*.java
del bingo\svmlight\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\svmlight\*.java
del bingo\util\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar bingo\util\*.java

del gd\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar gd\*.java

del graph\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar graph\*.java

del stored\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar stored\*.java
del stored\mi\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar stored\mi\*.java
del stored\linkanal\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar stored\linkanal\*.java
del stored\mi\*.class
javac -classpath .;lib/jodd.zip;lib/stored.jar;lib/javax.jar;lib/mysql.jar;lib/oracle.jar;lib/org.jar;lib/stemmer.jar;lib/webservice.jar;lib/wordnet.jar stored\mi\*.java

del temp\*.mod
del temp\*.res
del temp\*.out
del temp\*.dat

del bingo\crawler\handler\temp\*.txt
del bingo\crawler\handler\temp\*.pdf

@echo -----------------------------------------------------------
@echo Rebuild done !
@echo -----------------------------------------------------------
@echo - use r.bat to start application
@echo - use schema.bat to create new BINGO database accounts
@echo - use mini.bat to start embedded SQL GUI
@echo - use doc.bat to rebuild javadoc
@echo -----------------------------------------------------------

