CREATE INDEX AnchorTerm_IndexTerm
    ON AnchorTerms (Term)
;

CREATE INDEX AnchorTerm_IndexID
    ON AnchorTerms (ID)
;

CREATE Index Duplicates_Index_LinkID
  ON Duplicates (link_id,id)
;

CREATE Index Duplicates_Index_MD5
  ON Duplicates (MD5,id)
;

CREATE INDEX BingoDocs_ResponsecodeIndex
    ON BingoDocuments (Responsecode)
;

CREATE INDEX DocumentFeatures_IndexTerm
    ON DocumentFeatures (Term)
;

CREATE INDEX DocumentFeatures_IndexID
    ON DocumentFeatures (ID)
;

CREATE UNIQUE INDEX DocumentUnion_IndexID
    ON DocumentUnion (ID)
;

CREATE INDEX DocumentUnion_IndexTerm
    ON DocumentUnion (term)
;

CREATE UNIQUE INDEX Feedback_IndexID
    ON Feedback (ID)
;

CREATE UNIQUE INDEX FeedbackArchive_IndexID
    ON FeedbackArchive (ID)
;

CREATE INDEX Links_IndexID
    ON Links (ID)
;

CREATE INDEX Links_IndexLink_ID
    ON Links (Link_ID)
;

CREATE INDEX Terms_IndexID
    ON Terms (ID)
;

CREATE INDEX Terms_IndexTerm
    ON Terms (Term)
;

CREATE INDEX Links_Rank1
    ON Links (ID, LINK_ID)
;

CREATE INDEX Links_Rank2
    ON Links (LINK_ID, ID)
;

CREATE INDEX Terms_Stem_Index
    ON Terms(Stem, Term)
;
