package	jodd.datetime.converters;

import java.util.Calendar;

import jodd.datetime.DateTimeStamp;
import jodd.datetime.JDateTime;

public class CalendarConverter implements jodd.datetime.JdtConverter {

	public void load(JDateTime gt, Object o) {
		if (o instanceof Calendar) {
			Calendar c = (Calendar) o;
			gt.set(c.get(Calendar.YEAR), c.get(Calendar.MONTH) + 1, c.get(Calendar.DAY_OF_MONTH), c.get(Calendar.HOUR_OF_DAY), c.get(Calendar.MINUTE), c.get(Calendar.SECOND) + (double) c.get(Calendar.MILLISECOND) / 1000);
		}
	}

	public Object get(JDateTime gt) {
		Calendar c = Calendar.getInstance();
		store(gt, c);
		return c;
	}

	public void store(JDateTime gt, Object o) {
		if (o instanceof Calendar) {
			Calendar c = (Calendar) o;
			DateTimeStamp time = gt.getDateTimeStamp();
			c.set(time.year, time.month - 1, time.day, time.hour, time.minute, (int)time.second);
			c.set(Calendar.MILLISECOND, (int) ((time.second - (int)time.second) * 1000));
		}
	}

}
