package	jodd.datetime.converters;

import java.util.Date;

import jodd.datetime.DateTimeStamp;
import jodd.datetime.JDateTime;

public class DateConverter implements jodd.datetime.JdtConverter {

	public void load(JDateTime gt, Object o) {
		if (o instanceof Date) {
			Date d = (Date) o;
			gt.set(1900 + d.getYear(), d.getMonth() + 1, d.getDate(), d.getHours(), d.getMinutes(), d.getSeconds());
		}
	}

	public Object get(JDateTime gt) {
		Date d = new Date();
		store(gt, d);
		return d;
	}


	public void store(JDateTime gt, Object o) {
		if (o instanceof Date) {
			DateTimeStamp time = gt.getDateTimeStamp();
			Date d = (Date) o;
			d.setYear(time.year - 1900);
			d.setMonth(time.month - 1);
			d.setDate(time.day);
			d.setHours(time.hour);
			d.setMinutes(time.minute);
			d.setSeconds((int)time.second);
		}
	}

}
