package	jodd.datetime.converters;

import java.sql.Date;

import jodd.datetime.DateTimeStamp;
import jodd.datetime.JDateTime;

public class SqlDateConverter implements jodd.datetime.JdtConverter {

	public void load(JDateTime gt, Object o) {
		if (o instanceof Date) {
			Date d = (Date) o;
			gt.set(1900 + d.getYear(), d.getMonth() + 1, d.getDate());
		}
	}

	public Object get(JDateTime gt) {
		DateTimeStamp time = gt.getDateTimeStamp();
		return new Date(time.year - 1900, time.month - 1, time.day);
	}

	public void store(JDateTime gt, Object o) {
		if (o instanceof Date) {
			Date d = (Date) o;
			DateTimeStamp time = gt.getDateTimeStamp();
			d.setYear(time.year - 1900);
			d.setMonth(time.month - 1);
			d.setDate(time.day);
		}
	}

}
