package jodd.datetime.names;

/**
 * Italian names for JDateTime.
 */
public final class ItalianNames implements jodd.datetime.JdtNames {

	private final String[] month = { "Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Decembre" };
	public String[] getMonths() {
		return month;
	}

	private final String[] month_s = { "Gen", "Feb", "Mar", "Apr", "Mag", "Giu", "Lug", "Ago", "Set", "Ott", "Nov", "Dec" };
	public String[] getShortMonths() {
		return month_s;
	}

	private final String[] weekday = { "Lunedi", "Martedi", "Mercoledi", "Glovedi", "Venerdi", "Sabato", "Domenica"};
	public String[] getDaysOfWeek() {
		return weekday;
	}

	private final String[] weekday_s = { "Lun", "Mar", "Mer", "Glo", "Ven", "Sab", "Dom" };
	public String[] getShortDaysOfWeek() {
		return weekday_s;
	}

}
