package webservice;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

import javax.xml.namespace.QName;
import java.io.IOException;

import org.apache.axis.encoding.Serializer;
import org.apache.axis.encoding.SerializerFactory;
import org.apache.axis.encoding.SerializationContext;
import org.apache.axis.encoding.Deserializer;
import org.apache.axis.encoding.DeserializerFactory;
import org.apache.axis.encoding.DeserializationContext;
import org.apache.axis.encoding.Deserializer;
import org.apache.axis.Constants;

import java.util.Iterator;
import java.util.Vector;

public class ParamsDeserializerFactory implements DeserializerFactory {
  private Vector mechanisms;


  public javax.xml.rpc.encoding.Deserializer getDeserializerAs( String mechanismType ) {
    return new ParamsDeserializer();
  }


  public Iterator getSupportedMechanismTypes() {
    if ( mechanisms == null ) {
      mechanisms = new Vector();
      mechanisms.add( Constants.AXIS_SAX );
    }
    return mechanisms.iterator();
  }
}
