import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jodd.servlet.ActionFilter;
import jodd.servlet.ActionServlet;

public class FooFilter implements ActionFilter {

	public String onAction(HttpServletRequest request, HttpServletResponse response, ActionServlet action) {
		System.out.println("::: FILTER BEFORE ::: " + action.getActionPath(request));
		String never = action.getActionParameter(request, "never");
		if (never != null) {
			return "never";
		}
		return null;
	}

	public String onAfterAction(HttpServletRequest request, HttpServletResponse response, ActionServlet action, String actionResult) {
		System.out.println("::: FILTER AFTER ::: " + actionResult);
		return null;
	}

}
