import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import beans.FooFormBean;
import jodd.bean.BeanUtil;
import jodd.servlet.*;

public class ReadForm extends ActionServlet {

	public void doRequest(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		System.out.println("\n\n>form submited");
		FooFormBean ffb = new FooFormBean();
		
		System.out.println(">load form bean from the request");
		System.out.println(">bean init:");
		System.out.println(BeanUtil.toString(ffb));

		System.out.println(">request:");
		Enumeration paramNames = request.getParameterNames();
		while (paramNames.hasMoreElements()) {
			String paramName = (String) paramNames.nextElement();
			System.out.println("---parameter: " + paramName);
			String[] paramValues = request.getParameterValues(paramName);
			System.out.println("values:");
			for (int i = 0; i < paramValues.length; i++) {
				System.out.println(paramValues[i]);
			}
		}

		BeanUtil.load(ffb, request);
		System.out.println(">bean loaded:");
		System.out.println(BeanUtil.toString(ffb));

		HttpSession session = request.getSession();
		session.setAttribute("bean", ffb);
		forward(request, response, "form1-res.jsp");
	}
}

