import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import jodd.servlet.*;
import beans.*;
import jodd.bean.*;

public class UploadAction extends ActionServlet {

	public String doAction(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		System.out.println("---------------------");
		System.out.println("UploadAction.doAction()");
		String temp = System.getProperty("java.io.tmpdir");


		//System.out.println("==>" + request.getParameter("data3"));
		//System.out.println("==>" + (request.getParameterValues("data3")).length);

		MultipartRequest mrequest = new MultipartRequest(request, "Windows-1250");

		System.out.println("==>" + mrequest.getParameter("Data3"));
		String[] v = mrequest.getParameterValues("Data3");
		if (v != null) {
			for (int i = 0; i < v.length; i++) {
				System.out.println(" >" + v[i]);
			}
		}

		System.out.println("PARAMETERS");
		Enumeration names = mrequest.getParameterNames();
		while (names.hasMoreElements()) {
			String paramName = (String) names.nextElement();
			System.out.println(paramName);
			System.out.println(mrequest.getParameter(paramName));
			System.out.println("---");
		}

		System.out.println("\nFILES");
		names = mrequest.getUploadedFileNames();
		while (names.hasMoreElements()) {
			String paramName = (String) names.nextElement();
			System.out.println(paramName);
			UploadedFile uf = mrequest.getUploadedFile(paramName);
			if (uf.isValid()) {
				System.out.println(uf.getFileName());
				if (temp != null) {
					String localFile = temp + "/" + uf.getFileName();
					System.out.println("write to: " + localFile);
					uf.writeData(localFile);
				}
			} else {
				System.out.println("not valid");
			}
			System.out.println("---");
		}



		System.out.println("++++++++++++++++++++++++++++++++++++++++++++++");

		UploadFormBean ufb = new UploadFormBean();
		BeanUtil.load(ufb, mrequest);
		System.out.println(ufb.getData1());
		System.out.println(ufb.getData2());
		System.out.println(ufb.getData3());
		System.out.println(ufb.getFile1());
		System.out.println(ufb.getFile2());
		System.out.println(ufb.getFile3());
		System.out.println(ufb.getFile4());

		request.setAttribute("UploadFormBean", ufb);

		return "upload2.jsp";
	}

}

